# Name

HPL_bcast Perform the row broadcast.

# Synopsis

`#include "hpl.h"`
`int` `HPL_bcast(` `HPL_T_panel *` `PANEL`, `int *` `IFLAG` `);`

# Description

HPL_bcast broadcasts the current panel. Successful completion is indicated by IFLAG set to HPL_SUCCESS on return. IFLAG will be set to HPL_FAILURE on failure and to HPL_KEEP_TESTING when the operation was not completed, in which case this function should be called again.

# Arguments

    PANEL   (input/output)                HPL_T_panel *
            On entry,  PANEL  points to the  current panel data structure
            being broadcast.

    IFLAG   (output)                      int *
            On exit,  IFLAG  indicates  whether  or not the broadcast has
            occured.

# See Also

HPL_binit, HPL_bwait.